public class FichierDemarrage {
    public static void main(String[] args) {
        try {
            String cle = UserKey.lireOuCreerCle();
            int userId = UtilisateurBD.getOrCreateUserId(cle, "local_user");

            // Démo rapide
            Rappel r = new Rappel("Faire le TD", "chapitre JDBC", "Travail", 2);
            int idNew = RappelBD.ajouterPourUtilisateur(userId, r);

            for (Rappel x : RappelBD.listerParUtilisateur(userId)) {
                System.out.println(" - " + x.toString());
            }

            r.setTitre("Faire le TD (MAJ)");
            RappelBD.modifierPourUtilisateur(userId, r.getId(), r);

            for (Rappel x : RappelBD.listerParUtilisateur(userId)) {
                System.out.println(" * " + x.toString());
            }

            RappelBD.supprimerPourUtilisateur(userId, r.getId());

            for (Rappel x : RappelBD.listerParUtilisateur(userId)) {
                System.out.println(" # " + x.toString());
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
